For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
      • POSTStart a conversation over Ada's email channel
      • POSTCreate a new conversation
      • GETGet a conversation
      • PATCHUpdate a conversation
      • GETGet conversation messages
      • POSTCreate a new message
      • POSTEnd a conversation
      • POSTEnd Handoff
      • POSTUpload a file attachment
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
ConversationsConversations

Start a conversation over Ada's email channel

POST
https://example.ada.support/api/v2/conversations/email/
POST
/api/v2/conversations/email/
1import requests
2
3url = "https://example.ada.support/api/v2/conversations/email/"
4
5payload = {
6 "name": "Firstname Lastname",
7 "subject": "Email subject",
8 "reply_to": "user@mail.com"
9}
10headers = {
11 "Authorization": "Bearer <token>",
12 "Content-Type": "application/json"
13}
14
15response = requests.post(url, json=payload, headers=headers)
16
17print(response.json())
1{
2 "conversation_id": "5df263b7db5a7e6ea03fae9b"
3}
Start a conversation with an end user over Ada's native Email channel, providing context for their inquiry. **This endpoint is exclusive to the native Email channel and cannot be used for custom channels.** Your AI Agent can start conversations only with the default Ada-provided email address, or with email addresses you’ve configured through Bring Your Own Domain (BYOD) settings.
Was this page helpful?
Previous

Create a new conversation

Next
Built with

Start a conversation with an end user over Ada’s native Email channel, providing context for their inquiry. This endpoint is exclusive to the native Email channel and cannot be used for custom channels. Your AI Agent can start conversations only with the default Ada-provided email address, or with email addresses you’ve configured through Bring Your Own Domain (BYOD) settings.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
The customer's full name
subjectstringRequired

The subject of the customer’s inquiry; used as the subject for the AI Agent’s reply

reply_tostringRequired
The customer's email address
textstringOptional
The customer's inquiry, limited to 10 KB
reply_asstringOptional
The company email address you want to use to reply to the customer. Defaults to the Ada provided email address.
cclist of stringsOptional
The email addresses in the email's CC field
metadataobjectOptional
Any metadata associated with the conversation, up to 4 KB. All metadata passed through this field will appear as metavariables in your dashboard.

Response

Conversation Created
conversation_idstringRead-only

The Ada-generated conversation id

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error